# The PAM service that should be used to login
pam_service = "sshd"

focus_behaviour = "password"

# General settings for background style
[background]
show_background = true

[background.style]
# Allow to set the default background color for the login shell
color = "black"
# Settings for the background block's borders
show_border = true
border_color = "white"

# Shutdown option
[[power_controls.base_entries]]
hint = "Shutdown"
hint_color = "dark gray"
hint_modifiers = ""
key = "F1"
cmd = "systemctl poweroff -l"

# Reboot option
[[power_controls.base_entries]]
hint = "Reboot"
hint_color = "dark gray"
hint_modifiers = ""
key = "F2"
cmd = "systemctl reboot -l"

[environment_switcher]
include_tty_shell = true
mover_color_focused = "light cyan"
mover_modifiers_focused = "bold" 
left_mover = "<["
right_mover = "]>"

# Neighbours' color and modifiers whilst the selector is unfocused
neighbour_color = "dark gray"
neighbour_modifiers = ""

# Neighbours' color and modifiers whilst the selector is focused
neighbour_color_focused = "gray"
neighbour_modifiers_focused = ""

# Margin between neighbours and selected
neighbour_margin = 1

# Selected's color and modifiers whilst the selector is unfocused
selected_color = "gray"
selected_modifiers = "underlined"

# Selected's color and modifiers whilst the selector is focused
selected_color_focused = "white"
selected_modifiers_focused = "bold"

# The length of the name of the desktop environment which is displayed.
max_display_length = 8

# The text used when no desktop environments are available
no_envs_text = "No environments..."

# The color and modifiers of the 'no desktop environments available text'
# whilst the selector is unfocused
no_envs_color = "white"
no_envs_modifiers = ""

# The color and modifiers of the 'no desktop environments available text'
# whilst the selector is focused
no_envs_color_focused = "red"
no_envs_modifiers_focused = ""

[username_field]

# Remember the username for the next time after a successful login attempt.
remember = true

[username_field.style]
# Enables showing a title
show_title = true
# The text used within the title
title = "Login"

# The title's color and modifiers whilst the username field is unfocused
title_color = "white"
content_color = "white"

# The title's color and modifiers whilst the username field is focused
title_color_focused = "blue"
content_color_focused = "blue"

# Enables showing the borders
show_border = true
# The borders' color and modifiers whilst the username field is unfocused
border_color = "white"
# The borders' color and modifiers whilst the username field is focused
border_color_focused = "light blue"

# Constrain the width of the username field
use_max_width = true
# The contraint of the username field's width
max_width = 48

[password_field]

# The character used for replacement when typing a password. Leave empty for no
# feedback.
# Note: Only one character is accepted.
content_replacement_character = "▮"

[password_field.style]
# Enables showing a title
show_title = true
# The text used within the title
title = "Password"

# The title's color and modifiers whilst the password field is unfocused
title_color = "white"
content_color = "white"

# The title's color and modifiers whilst the password field is focused
title_color_focused = "blue"
content_color_focused = "blue"

# Enables showing the borders
show_border = true
# The borders' color and modifiers whilst the username field is unfocused
border_color = "white"
# The borders' color and modifiers whilst the username field is focused
border_color_focused = "blue"

# Constrain the width of the password field
use_max_width = true
# The contraint of the password field's width
max_width = 48